Start registering an iPhone or iPad
Returns a profile url to open on the device. Installing the profile sends its UDID back and registers it on the pipeline's Apple team.
Operation ID
create_device_registrationReturns a profile url to open on the device. Installing the profile sends its UDID back and registers it on the pipeline's Apple team.
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
pipeline_id*string
Pipeline ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/pipelines/string/device-registrations" \ -H "Content-Type: application/json" \ -d '{}'{ "created_at": 0, "device_name": "string", "error": "string", "expires_at": 0, "id": "string", "pipeline_id": "string", "profile_url": "string", "state": "pending"}